# NaNoGenMo 2020 - markov.py

Gernerate a novel using Markov chains

## Installation

```text
$ python3 -m venv venv
$ . venv/bin/activate
(venv) $ pip install -r requirements.txt
(venv) $ python -m spacy download en_core_web_sm
```

## Usage

```text
$ . venv/bin/activate
(venv) $ python markov.py -h
usage: markov.py [-h] [-c COUNT] [-s SEED] input [input ...]

Generate a novel using Markov chains.

positional arguments:
  input                 used to construct Markov transition matrix

optional arguments:
  -h, --help            show this help message and exit
  -c COUNT, --count COUNT
                        generate at least COUNT words
  -s SEED, --seed SEED  seed for random number generator
```